### Method

# St Adjustment set_values

#### Declaration [src]

    void
    st_adjustment_set_values (
      StAdjustment* adjustment,
      gdouble value,
      gdouble lower,
      gdouble upper,
      gdouble step_increment,
      gdouble page_increment,
      gdouble page_size
    )

#### Description [src]

Sets all properties of the adjustment at once.

Use this function to avoid multiple emissions of the `GObject::notify` and `StAdjustment::changed` signals. See `st_adjustment_set_lower()` for an alternative way of compressing multiple emissions of `GObject::notify` and `StAdjustment::changed` into one of each.

#### Parameters

`value`

  Type: `gdouble`

  The new value.

`lower`

  Type: `gdouble`

  The new minimum value.

`upper`

  Type: `gdouble`

  The new maximum value.

`step_increment`

  Type: `gdouble`

  The new step increment.

`page_increment`

  Type: `gdouble`

  The new page increment.

`page_size`

  Type: `gdouble`

  The new page size.